# Uses of Interface
org.eclipse.birt.report.engine.extension.IBaseResultSet

Packages that use IBaseResultSet
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IBaseResultSet in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IBaseResultSet
Modifier and Type
Method
Description
`IBaseResultSet`
IContent.`getResultSet()`
Get the result set

## Uses of IBaseResultSet in org.eclipse.birt.report.engine.extension

Subinterfaces of IBaseResultSet in org.eclipse.birt.report.engine.extension
Modifier and Type
Interface
Description
`interface`
`ICubeResultSet`
`interface`
`IQueryResultSet`
Methods in org.eclipse.birt.report.engine.extension that return IBaseResultSet
Modifier and Type
Method
Description
`IBaseResultSet`
IExecutorContext.`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query)`
execute query
`IBaseResultSet`
IExecutorContext.`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query, Object handle)`
execute query
`IBaseResultSet`
IBaseResultSet.`getParent()`
`IBaseResultSet[]`
IReportItemExecutor.`getQueryResults()`
get QueryResults of the executor
Methods in org.eclipse.birt.report.engine.extension with parameters of type IBaseResultSet
Modifier and Type
Method
Description
`IBaseResultSet`
IExecutorContext.`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query)`
execute query
`IBaseResultSet`
IExecutorContext.`executeQuery(IBaseResultSet parent, org.eclipse.birt.data.engine.api.IDataQueryDefinition query, Object handle)`
execute query
`void`
IReportItemGeneration.`onRowSets(IBaseResultSet[] results)`
processes the extended item in report generation environment.
`Object`
IReportItemPresentation.`onRowSets(IBaseResultSet[] results)`
Process the extended item.